summaryrefslogtreecommitdiffstats
path: root/tests/objectstore/stop-swift-ceph.sh
diff options
context:
space:
mode:
authorJörn Friedrich Dreyer <jfd@butonic.de>2015-09-28 16:38:01 +0200
committerJörn Friedrich Dreyer <jfd@butonic.de>2015-10-06 16:27:25 +0200
commit5646e39248d9ac2bade491dc99c88a10b3dfbc34 (patch)
treea330a10aa0979d00b3449205c95cf484af6d03b2 /tests/objectstore/stop-swift-ceph.sh
parentbb4246c9a8dc40d844ad94492cb40ece5bd35ef6 (diff)
downloadnextcloud-server-5646e39248d9ac2bade491dc99c88a10b3dfbc34.tar.gz
nextcloud-server-5646e39248d9ac2bade491dc99c88a10b3dfbc34.zip
test objectstore with ceph docker
use default config for swift primary storage test config allow testsuite to complete fix timeout, script cleanup, enable debug for now use btrfs loopback device, requires privileged container and absolute path throw exception when storage has problems debug by echo ... sleep more, more debug
Diffstat (limited to 'tests/objectstore/stop-swift-ceph.sh')
-rwxr-xr-xtests/objectstore/stop-swift-ceph.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/tests/objectstore/stop-swift-ceph.sh b/tests/objectstore/stop-swift-ceph.sh
new file mode 100755
index 00000000000..fcf5fdfdcd7
--- /dev/null
+++ b/tests/objectstore/stop-swift-ceph.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# ownCloud
+#
+# This script stops the docker container the files_external tests were run
+# against. It will also revert the config changes done in start step.
+#
+# @author Morris Jobke
+# @author Robin McCorkell
+# @copyright 2015 ownCloud
+
+if ! command -v docker >/dev/null 2>&1; then
+ echo "No docker executable found - skipped docker stop"
+ exit 0;
+fi
+
+echo "Docker executable found - stop and remove docker containers"
+
+# retrieve current folder to remove the config from the parent folder
+thisFolder=`echo $0 | replace "stop-swift-ceph.sh" ""`
+
+if [ -z "$thisFolder" ]; then
+ thisFolder="."
+fi;
+
+# stopping and removing docker containers
+for container in `cat $thisFolder/dockerContainerCeph.$EXECUTOR_NUMBER.swift`; do
+ if [ -n "$DEBUG" ]; then
+ docker logs $container
+ fi
+ echo "Stopping and removing docker container $container"
+ # kills running container and removes it
+ docker rm -f $container
+done;
+
+# cleanup
+rm $thisFolder/swift.config.php
+rm $thisFolder/dockerContainerCeph.$EXECUTOR_NUMBER.swift \ No newline at end of file